Package: org.gradle.language.assembler

## [Java] Interface AssemblerSourceSet

- org.gradle.language.base.LanguageSourceSet

- All Superinterfaces:
    Buildable, LanguageSourceSet

  A set of assembly language sources.

       apply plugin: "assembler"

       model {
           components {
               main(NativeLibrarySpec) {
                   sources {
                       asm {
                           source {
                               srcDirs "src/main/i386", "src/shared/asm"
                               include "**/*.s"
                           }
                       }
                   }
               }
           }
       }

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface LanguageSourceSet` | `generatedBy, getDisplayName, getSource, source`
    `interface Named` | `getName`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask, getBuildDependencies`